ParentChildrenBlockJoinQuery (Lucene 10.5.0 join API)
Description: declaration: package: org.apache.lucene.search.join, class: ParentChildrenBlockJoinQuery

Package org.apache.lucene.search.join

# Class ParentChildrenBlockJoinQuery

java.lang.Object
org.apache.lucene.search.Query
org.apache.lucene.search.join.ParentChildrenBlockJoinQuery

public class ParentChildrenBlockJoinQuery extends Query
A query that returns all the matching child documents for a specific parent document indexed together in the same block. The provided child query determines which matching child doc is being returned.

WARNING: This API is experimental and might change in incompatible ways in the next release.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ParentChildrenBlockJoinQuery(BitSetProducer parentFilter, Query childQuery, int parentDocId)`
  Creates a `ParentChildrenBlockJoinQuery` instance

- ## Method Summary

  Modifier and Type
  Method
  Description
  `Weight`
  `createWeight(IndexSearcher searcher, ScoreMode scoreMode, float boost)`
  `boolean`
  `equals(Object obj)`
  `int`
  `hashCode()`
  `Query`
  `rewrite(IndexSearcher indexSearcher)`
  `String`
  `toString(String field)`
  `void`
  `visit(QueryVisitor visitor)`

  ### Methods inherited from class org.apache.lucene.search.Query

  `classHash, sameClassAs, toString`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### ParentChildrenBlockJoinQuery

    public ParentChildrenBlockJoinQuery(BitSetProducer parentFilter, Query childQuery, int parentDocId)
    Creates a `ParentChildrenBlockJoinQuery` instance
    Parameters:
      `parentFilter` - A filter identifying parent documents.
      `childQuery` - A child query that determines which child docs are matching
      `parentDocId` - The top level doc id of that parent to return children documents for

- ## Method Details

  - ### equals

    public boolean equals(Object obj)
    Specified by:
      `equals` in class `Query`

  - ### hashCode

    public int hashCode()
    Specified by:
      `hashCode` in class `Query`

  - ### toString

    public String toString(String field)
    Specified by:
      `toString` in class `Query`

  - ### visit

    public void visit(QueryVisitor visitor)
    Specified by:
      `visit` in class `Query`

  - ### rewrite

    public Query rewrite(IndexSearcher indexSearcher) throws IOException
    Overrides:
      `rewrite` in class `Query`
    Throws:
      `IOException`

  - ### createWeight

    public Weight createWeight(IndexSearcher searcher, ScoreMode scoreMode, float boost) throws IOException
    Overrides:
      `createWeight` in class `Query`
    Throws:
      `IOException`